सवाल qtchoose "/ usr / lib / x86_64-linux-gnu / qt5 / bin / qtchooser 'के कारण नहीं चलाया जाता है: ऐसी कोई फ़ाइल या निर्देशिका नहीं" त्रुटि


जब मैं qtchooser शुरू करने का प्रयास करता हूं तो मुझे यह अधिसूचना मिलती है:

qtchooser: could not exec '/usr/lib/x86_64-linux-gnu/qt5/bin/qtchooser': No such file or directory

मैंने क्यूटी 5 स्थापित किया है पीपीए: विहित-qt5-edgers / qt5 बीटा उचित मुझे आशा है आप मेरी मदद कर सकते हैं।


4
2018-03-13 13:15


मूल


आप किस उबंटू संस्करण का उपयोग कर रहे हैं? - Salem
ओह, माफ करना, मैं इसका उल्लेख करना भूल गया हूं। मैं उबंटू 12.10 का उपयोग कर रहा हूं। - Paul Kreker
का उत्पादन क्या है which qtchooser? - Salem
आउटपुट है /usr/bin/qtchoser। - Paul Kreker


जवाब:


त्रुटि संदेश सामान्य है, हालांकि अनौपचारिक है। संक्षेप में आप निष्पादित करने की कोशिश कर रहे हैं qtchooser खुद के साथ, जो काम नहीं करता है। चलाएं man qtchooser qtchooser का उपयोग करने के लिए टर्मिनल पर आदेश दें, या केवल ubuntu-sdk (और qt5-default) संकुल को संस्थापित करें, इस स्थिति में आपको qtchooser मौजूदा परवाह करने की आवश्यकता नहीं है।

अपस्ट्रीम ने आजकल एक और अधिक उपयोगी पाठ के साथ समस्या को ठीक कर दिया है, लेकिन qtchooser का वह संस्करण अभी तक उबंटू में नहीं है।


7
2018-03-14 07:50



ठीक है, मैंने सोचा कि qtchooser के साथ मैं qt4 को डिफ़ॉल्ट रूप से सेट कर सकता हूं क्योंकि FindQt4.cmake qt5 qmake पाता है जब कोई त्रुटि फेंकता है। लेकिन आपकी मदद के लिए धन्यवाद। अब मुझे पता है कि इसका उपयोग कैसे करें। :) - Paul Kreker